Skip to main content
GET
Retrieve a Payout Batch with detailed results

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

payout_batch_id
string<uuid>
required

Id of the payout batch to fetch

Query Parameters

include_request
boolean
default:false

Include the original request data for each item in the response. This can be useful for debugging or reconciliation.

Response

200 - application/json

OK

The payout batch with detailed results for each item.

id
string<uuid>
required

Unique identifier for the payout batch.

created
string<date-time>
required

Timestamp when the batch was created.

status
enum<string>
required

Current status of the batch processing.

Available options:
created,
processing,
paying_out,
completed
items
payout-batch-results-item · object[]
required

Results for each item in the batch.

idempotency_key
string<uuid>

The idempotency key provided when creating the batch.

metadata

The metadata attached to the batch.